Index: multilang_formatter.php
===================================================================
--- multilang_formatter.php	(revision 13142)
+++ multilang_formatter.php	(working copy)
@@ -76,6 +76,13 @@
 			if ( getArrayValue($grid, 'Fields', $field_name) ) {
 				// used by column picker to track column position
 				$grids[$name]['Fields'][$field_name]['formatter_renamed'] = true;
+
+				if (!array_key_exists('format', $grids[$name]['Fields'][$field_name])) {
+					// prevent displaying value from primary language
+					// instead of missing value in current language
+					$grids[$name]['Fields'][$field_name]['format'] = 'no_default';
+				}
+
 				array_rename_key($grids[$name]['Fields'], $field_name, $lang_field_name);
 			}
 			// update sort fields - used for sorting and filtering in SQLs
